<?php

namespace WPRuby_Table_Rates\Core\App\Endpoints\Services;

class Categories {

	public function get_product_categories()
	{
		$categories_query = get_terms( [
			'orderby' => 'name',
			'order'   => 'ASC',
			'hide_empty' => false,
			'taxonomy' => 'product_cat',
		]);

		$categories = [];
		foreach ($categories_query as $category) {
			$categories[] = [
				'id' => $category->term_id,
				'name' => $category->name,
			];
		}

		return $categories;

	}

	public function get_product_tags()
	{
		$categories_query = get_terms( [
			'orderby' => 'name',
			'order'   => 'ASC',
			'hide_empty' => false,
			'taxonomy' => 'product_tag',
		]);

		$categories = [];
		foreach ($categories_query as $category) {
			$categories[] = [
				'id' => $category->term_id,
				'name' => $category->name,
			];
		}

		return $categories;

	}

	public function get_shipping_classes()
	{
		$categories_query = get_terms( [
			'orderby' => 'name',
			'order'   => 'ASC',
			'hide_empty' => false,
			'taxonomy' => 'product_shipping_class',
		]);

		$categories = [];
		foreach ($categories_query as $category) {
			$categories[] = [
				'id' => $category->term_id,
				'name' => $category->name,
			];
		}

		return $categories;

	}

	public function get_coupons()
	{
		$coupons_query = get_posts( [
			'orderby' => 'name',
			'order'   => 'ASC',
			'post_type' => 'shop_coupon',
		]);

		$coupons = [];
		foreach ($coupons_query as $coupon) {
			$coupons[] = [
				'id' => $coupon->ID,
				'name' => $coupon->post_title,
			];
		}

		return $coupons;

	}

}
